From 34b26d5902742020ebf75f432969f5450a593118 Mon Sep 17 00:00:00 2001
From: Wang Ziming <wangziming@huawei.com>
Date: Tue, 7 Apr 2020 15:01:37 +0800
Subject: [PATCH 37/77] virtual_disks_multidisks: change virt_disk_addr_options
 unit to differentiate system disk.

Change virt_disk_addr_options's unit from "controller=0,bus=0,target=0,unit=0" to
"controller=0,bus=0,target=0,unit1" to differentiate system disk. Otherwise, it would
be error when attach to VM: "Domain already contains a disk with that address"

Signed-off-by: Wang Ziming <wangziming@huawei.com>
---
 libvirt/tests/cfg/virtual_disks/virtual_disks_multidisks.cfg | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/libvirt/tests/cfg/virtual_disks/virtual_disks_multidisks.cfg b/libvirt/tests/cfg/virtual_disks/virtual_disks_multidisks.cfg
index 0a12f06b..3832b1e3 100644
--- a/libvirt/tests/cfg/virtual_disks/virtual_disks_multidisks.cfg
+++ b/libvirt/tests/cfg/virtual_disks/virtual_disks_multidisks.cfg
@@ -873,7 +873,7 @@
                     driver_option = "type=qcow2,cache=none"
                     virtio_scsi_controller = "yes"
                     define_error = "yes"
-                    virt_disk_addr_options = "type=drive,controller=0,bus=0,target=0,unit=0"
+                    virt_disk_addr_options = "type=drive,controller=0,bus=0,target=0,unit=1"
                     variants:
                         - scsi:
                             virtio_scsi_controller_type = 'scsi'
-- 
2.23.0

